Bug 1472405 - Review Request: gdb-exploitable - GDB extension for exploitability
Review Request: gdb-exploitable - GDB extension for exploitability
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 12:08 EDT by Steve Grubb
Modified: 2017-07-20 18:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 18:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2017-07-18 12:08:35 EDT
Spec URL: http://people.redhat.com/sgrubb/files/gdb-exploitable.spec

SRPM URL: http://people.redhat.com/sgrubb/files/gdb-exploitable-1.32-1.20170717git35b742d.fc25.src.rpm

Description: 
'exploitable' is a GDB extension that classifies Linux application bugs
by severity. The extension inspects the state of a Linux application that
has crashed and outputs a summary of how difficult it might be for an
attacker to exploit the underlying software bug to gain control of the
system. The extension can be used to prioritize bugs for software developers
so that they can address the most severe ones first.

Fedora Account System Username: sgrubb
Comment 1 Paul Wouters 2017-07-19 07:06:14 EDT
Package is APPROVED

My only question is, should it be called python-gdb-exploitable ? I am fine with either.



nits:

rm -rf %{buildroot} in %install is not needed

%defattr(-,root,root,-) is not needed

Buildroot is not needed

%clean present but not required

the install section uses cp -r and not cp -a to preserve timestamps

gdb-exploitable.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gdb-exploitable/AUTHORS.txt
gdb-exploitable.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gdb-exploitable/LICENSE.md



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package contains BR: python2-devel or python3-devel
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.md is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown or generated".
     40 files have unknown license. Detailed output of licensecheck in
     /home/paul/1472405-gdb-exploitable/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

eneric:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

Generic:
[!]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.

mock build worked.

extension is visible in gdb
Comment 2 Steve Grubb 2017-07-19 08:10:24 EDT
Thanks for the review. In looking at the naming guidelines for addon packages, it says the package should be named %{parent}-%{child}. I take it to mean gdb is the parent and exploitable is the child. To add python would probably mean people can't find it when doing "dnf list gdb*".

I changed the cp command to have an 'a' in it.
I moved the license file to be under a %license tag.

Updated spec file and srpm have been put to the same place.
Comment 3 Gwyn Ciesla 2017-07-20 13:02:06 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gdb-exploitable

Note You need to log in before you can comment on or make changes to this bug.